Dashboard

by
Odoo          
v 11.0 Third Party 158

30.00 €

Live Preview
You bought this module and need support ? Click here !
Technical name dashboard
LicenseOPL-1
Websitehttp://globalservicescompany.net
Read description for v 12.0 v 10.0 v 9.0 v 8.0
Technical name dashboard
LicenseOPL-1
Websitehttp://globalservicescompany.net
Read description for v 12.0 v 10.0 v 9.0 v 8.0

Odoo Custom Dashboard

Responsive Bootstrap tool for creating Custom Odoo Dashboards.


A professional responsive tool creating Custom Odoo Dashboards, built using Bootstrap3, the most popular Backend-end framework for developing responsive, mobile first projects on the web.


Panels, Area charts, Bar charts

Configure your dashboard, Choose the models, rows, columns

Choose icon for each panel

Full responsive


CONTRIBUTORS LIST

Helmi Dhaoui

Odoo Proprietary License v1.0

This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).

You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).

It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.

The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

Odoo
by on

Hi , By installing this module, the other modules also include dashboards?


Odoo
Version 12?
by on

When will version 12 release?


Odoo
Log Error
by on

I have installed the module and tested some report in the dashboard and works fine. But there is no way to revert what someone has done if the configuration is wrong. Now I have added another report to the dashboard but had a error message and could not go back to revert the error. Here is the error message: Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/fields.py", line 937, in __get__ value = record.env.cache.get(record, self) File "/odoo/odoo-server/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/odoo/odoo-server/odoo/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/odoo/odoo-server/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/odoo/odoo-server/odoo/tools/pycompat.py", line 87, in reraise raise value File "/odoo/odoo-server/odoo/http.py", line 692, in dispatch result = self._call_function(**self.params) File "/odoo/odoo-server/odoo/http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "/odoo/odoo-server/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/odoo/odoo-server/odoo/http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "/odoo/odoo-server/odoo/http.py", line 936, in __call__ return self.method(*args, **kw) File "/odoo/odoo-server/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/odoo/odoo-server/addons/web/controllers/main.py", line 1221, in load action = request.env[action_type].browse([action_id]).read() File "/odoo/odoo-server/odoo/addons/base/ir/ir_actions.py", line 198, in read result = super(IrActionsActWindow, self).read(fields, load=load) File "/odoo/odoo-server/odoo/models.py", line 2601, in read values[name] = field.convert_to_read(record[name], record, use_name_get) File "/odoo/odoo-server/odoo/models.py", line 4754, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/odoo/odoo-server/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/odoo/odoo-server/odoo/fields.py", line 1052, in determine_value self.compute_value(recs) File "/odoo/odoo-server/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/odoo/odoo-server/odoo/fields.py", line 999, in _compute_value getattr(records, self.compute)() File "/odoo/odoo-server/odoo/addons/base/ir/ir_actions.py", line 158, in _compute_search_view fvg = self.env[act.res_model].fields_view_get(act.search_view_id.id, 'search') File "/odoo/odoo-server/odoo/models.py", line 1381, in fields_view_get xarch, xfields = View.postprocess_and_fields(self._name, etree.fromstring(result['arch']), view_id) File "/odoo/odoo-server/odoo/addons/base/ir/ir_ui_view.py", line 1011, in postprocess_and_fields fields = Model.fields_get(None) File "/odoo/odoo-server/odoo/models.py", line 2504, in fields_get description = field.get_description(self.env) File "/odoo/odoo-server/odoo/fields.py", line 705, in get_description value = value(env) File "/odoo/odoo-server/odoo/fields.py", line 1777, in _description_selection return getattr(env[self.model_name], selection)() File "/odoo/mattobell/dashboard/models/dashboard.py", line 37, in _compute_field_list self.env.cr.execute(requete.replace('"',"'")) File "/odoo/odoo-server/odoo/sql_db.py", line 155, in wrapper return f(self, *args, **kwargs) File "/odoo/odoo-server/odoo/sql_db.py", line 232, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: column "amount_total" does not exist LINE 1: SELECT count(amount_total) as field FROM pos_order


Odoo
Log Error
by on

Hello I have bought this module today for "odoo11" , but after short while using it, it stops, i tested it on local and online . this is the log error : ------------------------------------------------------------------------------- Traceback (most recent call last): File "/home/kaka/Odoo/Odoo11/odoo/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/home/kaka/Odoo/Odoo11/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/home/kaka/Odoo/Odoo11/odoo/tools/pycompat.py", line 87, in reraise raise value File "/home/kaka/Odoo/Odoo11/odoo/http.py", line 692, in dispatch result = self._call_function(**self.params) File "/home/kaka/Odoo/Odoo11/odoo/http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "/home/kaka/Odoo/Odoo11/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/home/kaka/Odoo/Odoo11/odoo/http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "/home/kaka/Odoo/Odoo11/odoo/http.py", line 936, in __call__ return self.method(*args, **kw) File "/home/kaka/Odoo/Odoo11/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/home/kaka/Odoo/Odoo11/addons/web/controllers/main.py", line 1221, in load action = request.env[action_type].browse([action_id]).read() File "/home/kaka/Odoo/Odoo11/odoo/addons/base/ir/ir_actions.py", line 198, in read result = super(IrActionsActWindow, self).read(fields, load=load) File "/home/kaka/Odoo/Odoo11/odoo/models.py", line 2601, in read values[name] = field.convert_to_read(record[name], record, use_name_get) File "/home/kaka/Odoo/Odoo11/odoo/models.py", line 4754, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/home/kaka/Odoo/Odoo11/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/home/kaka/Odoo/Odoo11/odoo/fields.py", line 1052, in determine_value self.compute_value(recs) File "/home/kaka/Odoo/Odoo11/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/home/kaka/Odoo/Odoo11/odoo/fields.py", line 999, in _compute_value getattr(records, self.compute)() File "/home/kaka/Odoo/Odoo11/odoo/addons/base/ir/ir_actions.py", line 158, in _compute_search_view fvg = self.env[act.res_model].fields_view_get(act.search_view_id.id, 'search') File "/home/kaka/Odoo/Odoo11/odoo/models.py", line 1381, in fields_view_get xarch, xfields = View.postprocess_and_fields(self._name, etree.fromstring(result['arch']), view_id) File "/home/kaka/Odoo/Odoo11/odoo/addons/base/ir/ir_ui_view.py", line 1005, in postprocess_and_fields fields = Model.fields_get(None) File "/home/kaka/Odoo/Odoo11/odoo/models.py", line 2504, in fields_get description = field.get_description(self.env) File "/home/kaka/Odoo/Odoo11/odoo/fields.py", line 705, in get_description value = value(env) File "/home/kaka/Odoo/Odoo11/odoo/fields.py", line 1776, in _description_selection return getattr(env[self.model_name], selection)() File "/home/kaka/Odoo/Odoo11/customaddons/dashboard/models/dashboard.py", line 37, in _compute_field_list self.env.cr.execute(requete.replace('"',"'")) File "/home/kaka/Odoo/Odoo11/odoo/sql_db.py", line 155, in wrapper return f(self, *args, **kwargs) File "/home/kaka/Odoo/Odoo11/odoo/sql_db.py", line 232, in execute res = self._obj.execute(query, params) psycopg2.ProgrammingError: column "message_needaction_counter" does not exist LINE 1: SELECT count(message_needaction_counter) as field FROM hr_em... ------------------------------------------------------------------------------- So can you help me please this is my mail : khaldoun600g@gmail.com


Odoo
error during installation
by on

"hi sir, i already buy your wonderfull module, but during the installation it give me a error. can u contact me yann@realcom.ch that i could send u the error ? thx. yann http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:930 Traceback: SyntaxError: Unexpected token < at eval () at http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:370:213 at Function.globalEval (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:370:233) at text script (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:960:216) at ajaxConvert (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:906:48) at done (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:934:10) at callback (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:957:15) at Object.send (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:957:103) at Function.ajax (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:930:23) at Function.jQuery._evalUrl (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:941:297)"


Odoo
error during installation
by on

...same issue like Yann Jaeger


Odoo
Will this work in V8?
by on

Your module looks great but does it work with V8 as shown and mentioned on this page ? If your answer is yes then i will buy it as we are on V8.


Odoo
by on

save button doesn't appear on the module so I'm not able to set it.


Odoo
odoo error massage
by on

Hai Helmi Dhaoui I bought this module yesterday.. and still i got error install message.. installation not success .. i have send you email error message pls help..


Odoo
Compatibility with Enterprise
by on

Does this module work in Odoo Enterprise edition?


Odoo
How to Filter Today's Record
by on

How can this filtering code be used? domain="[('create_date_field', '>=', datetime.datetime.now().strftime('%Y-%m-%d 00:00:00')),('create_date_field', '<=',datetime.datetime.now().strftime('%Y-%m-%d 23:23:59'))]"


Odoo
Email for contact
by on

Helmi.dhaoui@gmail.com


Odoo
I have issue and No Contact information.
by on

Hi Please send me your contact information. No email or skype details?


Odoo
error during installation
by on

hi sir, i already buy your wonderfull module, but during the installation it give me a error. can u contact me yann@realcom.ch that i could send u the error ? thx. yann http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:930 Traceback: SyntaxError: Unexpected token < at eval () at http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:370:213 at Function.globalEval (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:370:233) at text script (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:960:216) at ajaxConvert (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:906:48) at done (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:934:10) at callback (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:957:15) at Object.send (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:957:103) at Function.ajax (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:930:23) at Function.jQuery._evalUrl (http://192.168.1.14:8069/web/content/13052-52ed62a/web.assets_common.js:941:297)